@use 'partials/variables/mobile-screen';

.fullscreen {
  display: flex;
  flex-direction: column;
  // stretch background in pages that do not take full height of screen
  min-height: 100vh;
  margin: 0;
}

.main-content {
  display: flex;
  flex-grow: 1;
}

.sidenav-container {
  flex-grow: 1;
  // don't let footer push up sidenav in mobile view
  // max = 3 (header) * 24px + 5 (items) * 48 height
  min-height: 350px;
}


@media only screen and (max-width: mobile-screen.$max-mobile-width) {
  $num-sidenav-nav-items: 7;
  $num-sidenav-header-items: 3;

  .sidenav-container {
    // don't let footer push up sidenav in mobile view
    min-height: calc($num-sidenav-header-items * 24px + $num-sidenav-nav-items * 48px);
  }
}